Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# bit_aligned_image3_type Struct Template Reference
[packed_image_type,bit_aligned_image_type]

`#include <metafunctions.hpp>`

Inheritance diagram for bit_aligned_image3_type:

List of all members.

## Detailed Description

### template<unsigned Size1, unsigned Size2, unsigned Size3, typename Layout, typename Alloc = std::allocator<unsigned char>>
struct boost::gil::bit_aligned_image3_type< Size1, Size2, Size3, Layout, Alloc >

Returns the type of a three channel bit-aligned image given the bit size of its channels and its layout.

The documentation for this struct was generated from the following file:

- metafunctions.hpp